Get an organization user
curl --request GET \
--url https://harness.example.com/admin/users/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"email": "developer@example.com",
"role": "admin",
"active": true,
"status": "active",
"protected": true,
"provisioning_source": "local",
"managed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}User management
Get an organization user
GET
/
admin
/
users
/
{id}
Get an organization user
curl --request GET \
--url https://harness.example.com/admin/users/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"email": "developer@example.com",
"role": "admin",
"active": true,
"status": "active",
"protected": true,
"provisioning_source": "local",
"managed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
oauthDevicedashboardSession
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
Path Parameters
Response
User
Example:
"developer@example.com"
Available options:
admin, member Compatibility projection of status == active
Available options:
active, suspended, removed Deployment-managed identity that cannot be demoted, suspended, or deleted
Available options:
local, scim True when role and lifecycle are controlled through SCIM
